Bug 10572 - Add phone to message_transport_types table for new installs
Summary: Add phone to message_transport_types table for new installs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact:
URL:
Keywords:
Depends on: 10520
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 08:02 UTC by Marcel de Rooy
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10572: Add phone to message_transport_types table for new installs (1.35 KB, patch)
2013-07-11 08:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 10572: Add phone to message_transport_types table for new installs (1.34 KB, patch)
2013-08-02 17:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10572: Followup: dbrev for phone message_transport_type (1.29 KB, patch)
2013-08-07 12:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 10572 - Add phone to message_transport_types table for new installs- QA Followup (4.23 KB, patch)
2013-09-12 17:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10572: Add phone to message_transport_types table for new installs (1.34 KB, patch)
2013-09-12 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10572: Followup: dbrev for phone message_transport_type (1.30 KB, patch)
2013-09-12 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10572 - Add phone to message_transport_types table for new installs- QA Followup (4.28 KB, patch)
2013-09-12 17:26 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2013-07-11 08:02:43 UTC
In connection to bug 4246 commit 591bae324d77d285b27dfa6e10dc7001671f53cc added phone to the message_transport_types table in updatedatabase.pl

This should be done also for new installs via the .sql files of the web installer.

I am adding it only to English now, basing this change upon the work in reports 10509 and 10520. (I discovered this tiny omission there too.)
Comment 1 Marcel de Rooy 2013-07-11 08:08:51 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-08-02 17:43:20 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-08-04 13:26:54 UTC
Hi Kyle, this could go in as a bugfix to earlier versions as well, but the new web installer translations probably can't. Could you provide a follow-up please?
Comment 4 Katrin Fischer 2013-08-04 13:29:39 UTC
Also, I think to fix this properly we shoudl include a database update. It looks like 4246 has been released with 3.10, so there is a good chance of people installing 3.10 or 3.12 will have missed the database update and will have the problem.
Comment 5 Marcel de Rooy 2013-08-07 12:31:59 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2013-08-07 12:35:32 UTC
Back to Signed off.
Comment 7 Katrin Fischer 2013-08-25 19:25:08 UTC
Kyle, could you address comment 3 please?
Comment 8 Jonathan Druart 2013-09-12 14:48:03 UTC
(In reply to Katrin Fischer from comment #7)
> Kyle, could you address comment 3 please?

Is not it fixed with the second patch?
Comment 9 Kyle M Hall 2013-09-12 17:22:44 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2013-09-12 17:25:50 UTC
Created attachment 21052 [details] [review]
Bug 10572: Add phone to message_transport_types table for new installs

In connection to bug 4246 commit 591bae324d77d285b27dfa6e10dc7001671f53cc added
phone to the message_transport_types table in updatedatabase.pl

This should be done also for new installs via the .sql files of the web
installer.

I am adding it only to English now, basing this change upon the work in reports
10509 and 10520. (I discovered this tiny omission there too.)

Test plan:
Apply patches 10509/10520.
Run new install or run this particular sql file from command line.
Note: If you only run this particular file, you do not need patch 10509.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2013-09-12 17:25:57 UTC
Created attachment 21053 [details] [review]
Bug 10572: Followup: dbrev for phone message_transport_type

Test plan:
Run the updatestructure step of web installer.
Check if you have a phone message_transport_type.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2013-09-12 17:26:12 UTC
Created attachment 21054 [details] [review]
Bug 10572 - Add phone to message_transport_types table for new installs- QA Followup

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Galen Charlton 2013-10-31 14:46:18 UTC
Pushed to master.  Thanks, Marcel!